-- name: [CS] yosi cube
-- description: You can now play as the yosi cube from the Render96 April Fool's Video!\n\n\\#ff7777\\This Pack requires Character Select\nto use as a Library!

--[[
    API Documentation for Character Select can be found below:
    https://github.com/Squishy6094/character-select-coop/blob/main/API-doc.md

    Use this if you're curious on how anything here works >v<
]]

local E_MODEL_YOSI = smlua_model_util_get_id("yosi_geo")

local TEX_CUSTOM_ICON = get_texture_info("yosi-icon")

local TEXT_MOD_NAME = "[CS] Yosi"

local VOICETABLE_YOSI = {
    [CHAR_SOUND_ATTACKED] = 'Yoshi9.ogg',
    [CHAR_SOUND_DOH] = 'Yoshi9.ogg',
    [CHAR_SOUND_DROWNING] = 'Yoshi7.ogg',
    [CHAR_SOUND_DYING] = 'Yoshi7.ogg',
    [CHAR_SOUND_GROUND_POUND_WAH] = 'Yoshi3.ogg',
    [CHAR_SOUND_HAHA] = 'Yoshi13.ogg',
    [CHAR_SOUND_HAHA_2] = 'Yoshi13.ogg',
    [CHAR_SOUND_HERE_WE_GO] = 'Yoshi_SelectVoice1.ogg',
    [CHAR_SOUND_HOOHOO] = 'Yoshi19.ogg',
    [CHAR_SOUND_MAMA_MIA] = 'Yoshi19.ogg',
    [CHAR_SOUND_ON_FIRE] = 'Yoshi8.ogg',
    [CHAR_SOUND_OOOF] = 'Yoshi18.ogg',
    [CHAR_SOUND_OOOF2] = 'Yoshi18.ogg',
    [CHAR_SOUND_PUNCH_HOO] = 'Yoshi2.ogg',
    [CHAR_SOUND_PUNCH_WAH] = 'Yoshi3.ogg',
    [CHAR_SOUND_PUNCH_YAH] = 'Yoshi6.ogg',
    [CHAR_SOUND_SO_LONGA_BOWSER] = 'Yoshi16.ogg',
    [CHAR_SOUND_TWIRL_BOUNCE] = 'Yoshi11.ogg',
    [CHAR_SOUND_WAAAOOOW] = 'Yoshi7.ogg',
    [CHAR_SOUND_WAH2] = 'Yoshi6.ogg',
    [CHAR_SOUND_WHOA] = 'Yoshi6.ogg',
    [CHAR_SOUND_YAHOO] = 'Yoshi14.ogg',
    [CHAR_SOUND_YAHOO_WAHA_YIPPEE] = 'Yoshi15.ogg',
    [CHAR_SOUND_YAH_WAH_HOO] = 'Yoshi3.ogg',
    [CHAR_SOUND_YAWNING] = 'Yoshi14.ogg',
}

if _G.charSelectExists then
    CT_YOSI = _G.charSelect.character_add("yosi cube", {"play as yosi cube!", "", "fight enemies!", "play as yosi cube!"}, "Render96 Team, Marcel T.", {r = 0, g = 255, b = 0}, E_MODEL_YOSI, CT_MARIO, TEX_CUSTOM_ICON)

    -- the following must be hooked for each character added
    _G.charSelect.character_add_voice(E_MODEL_YOSI, VOICETABLE_YOSI)
    hook_event(HOOK_CHARACTER_SOUND, function (m, sound)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_YOSI then return _G.charSelect.voice.sound(m, sound) end
    end)
    hook_event(HOOK_MARIO_UPDATE, function (m)
        if _G.charSelect.character_get_voice(m) == VOICETABLE_YOSI then return _G.charSelect.voice.snore(m) end
    end)
else
    djui_popup_create("\\#ffffdc\\\n"..TEXT_MOD_NAME.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end